=== debian/changelog ===
tzpfms (0.1.0-1) unstable; urgency=medium

  * Initial packaging, upstream version 0.1.0

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 08 Dec 2020 18:35:44 +0100
