=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

CXX := $(CXX) $(subst -O2,,$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get LDFLAGS))
TEMPDIR = $(CURDIR)/debian/tmp/
VERSION = $(shell awk '/^version/ {print $$3}' Cargo.toml | sed 's/"//g')


override_dh_auto_build:
	mkdir -p $(TEMPDIR)
	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias $(TEMPDIR)en_GB.UTF-8
	LOCPATH="$(TEMPDIR)" LC_CTYPE="en_GB.UTF-8" $(MAKE) STRIP="@echo > /dev/null" CXX="$(CXX)"

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs $(wildcard TODO) README.md

%:
	dh $@
