=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tzpfms-$1\.tar\.gz/ \
  https://git.sr.ht/~nabijaczleweli/tzpfms/refs .*/v?(\d\S+)\.tar\.gz
