=== debian/changelog ===
tzpfms (0.2.0-1) unstable; urgency=medium

  * Fix uscan filenamemangle
  * New upstream version 0.2.0
  * Add now-missing libssl-dev Build-Depends:
  * Note PCR binding in d/c Description:s
  * Update upstream changelog
  * Replace ronn instrumentation with mandoc
  * Use upstream-recommended systemd-ask-password integration
  * Refresh patches
  * Install README.md in all packages

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 29 Nov 2021 14:48:34 +0100

tzpfms (0.1.0-2) unstable; urgency=medium

  * Rebuild with 2.0.x-series libzfs dependencies

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 27 Mar 2021 19:32:22 +0100
