=== debian/control ===
Source: tzpfms
Section: admin
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://git.sr.ht/~nabijaczleweli/tzpfms.deb
Vcs-Browser: https://git.sr.ht/~nabijaczleweli/tzpfms.deb
Homepage: https://sr.ht/~nabijaczleweli/tzpfms
Build-Depends: debhelper,
               debhelper-compat (= 13),
               shellcheck,
               mandoc,
               pkg-config,
               libzfslinux-dev,
               libtss2-dev,
               libtspi-dev,
               libssl-dev,

Package: tzpfms-tpm2
Recommends: tzpfms-common
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Tag: implemented-in::c++, interface::commandline, role::program, scope::utility
Description: TPM-based encryption keys for ZFS datasets – TPM2 binaries
 tzpfms provides tooling to manage keys for encrypted ZFS datasets,
 with optional PCR binding and additional passwords, similarly to BitLocker.
 .
 This package contains the zfs-tpm2-{change,list,clear}-key binaries
 for managing keys backed by TPM2 devices.

Package: tzpfms-tpm1x
Recommends: tzpfms-common, trousers
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Tag: implemented-in::c++, interface::commandline, role::program, scope::utility
Description: TPM-based encryption keys for ZFS datasets – TPM1.X binaries
 tzpfms provides tooling to manage keys for encrypted ZFS datasets,
 with optional PCR binding and additional passwords, similarly to BitLocker.
 .
 This package contains the zfs-tpm1x-{change,list,clear}-key binaries
 for managing keys backed by TPM1.X-backed TCS daemons.

Package: tzpfms-common
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Tag: implemented-in::c++, interface::commandline, role::program, scope::utility
Description: TPM-based encryption keys for ZFS datasets – common binaries
 tzpfms provides tooling to manage keys for encrypted ZFS datasets,
 with optional PCR binding and additional passwords, similarly to BitLocker.
 .
 This package contains the zfs-tpm-list binary
 used for acquiring additional information about tzpfms-managed datasets.

Package: tzpfms-dracut
Suggests: tzpfms-tpm2, tzpfms-tpm1x
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tzpfms-common,
         zfs-dracut,
Tag: implemented-in::c++, admin::boot, interface::commandline, role::program,
 scope::utility
Description: TPM-based encryption keys for ZFS datasets – Dracut hooks
 tzpfms provides tooling to manage keys for encrypted ZFS datasets,
 with optional PCR binding and additional passwords, similarly to BitLocker.
 .
 This package contains Dracut hooks for booting with an encrypted ZFS rootfs
 backed by tzpfms.

Package: tzpfms-initramfs
Suggests: tzpfms-tpm2, tzpfms-tpm1x
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tzpfms-common,
         zfs-initramfs,
Tag: implemented-in::c++, admin::boot, interface::commandline, role::program,
 scope::utility
Description: TPM-based encryption keys for ZFS datasets – initramfs-tools hooks
 tzpfms provides tooling to manage keys for encrypted ZFS datasets,
 with optional PCR binding and additional passwords, similarly to BitLocker.
 .
 This package contains initramfs-tools hooks for booting
 with an encrypted ZFS rootfs backed by tzpfms.
