=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

CXX := $(CXX) $(subst -O2,,$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get LDFLAGS))


override_dh_auto_build:
	$(MAKE) CXX="$(CXX)" TZPFMS_PASSPHRASE_HELPER='exec systemd-ask-password --id="tzpfms:$$$$2" "$$$$1:"' TZPFMS_PASSPHRASE_HELPER_MAN='Ic exec Nm systemd-ask-password Fl -id Ns Li = Ns Qo Li tzpfms:\& Ns Ar $$$$2 Qc Qo Ar $$$$1 Ns Li ":\&" Qc'

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs -A $(wildcard TODO) README.md

%:
	dh $@
