## tzpfms 0.3.0

=== debian/changelog ===
tzpfms (0.3.0-1~bpo11+1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 20 Dec 2021 21:12:39 +0100

tzpfms (0.3.0-1) unstable; urgency=medium

  * Fix uscan filenamemangle
  * New upstream version 0.3.0
  * Update upstream changelog
  * Build-depend on systemd
  * Install systemd zfs-mount-generator intrgration to tzpfms-common
  * Replace patch with exporting TZPFMS_{VERSION,DATE} in d/rules
  * Fix TZPFMS_DATE day before the tenth

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 20 Dec 2021 20:29:15 +0100
