=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 CXX := $(CXX) $(subst -O2,,$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get LDFLAGS))
+
+export TZPFMS_VERSION := "$(shell sed 's/^[^(]*(//;s/).*$$//;q' debian/changelog #))"
+export TZPFMS_DATE := $(shell awk '/^ -- / {sub(/^ -- .*>/, ""); sub(/^0/, "", $$2); print $$3 " " $$2 ", " $$4; exit}' debian/changelog | sed -E 's/Jan/&uary/;s/Feb/&ruary/;s/Mar/&ch/;s/Apr/&il/;s/Jun/&e/;s/Jul/&y/;s/Aug/&ust/;s/Sep/&tember/;s/Oct/&ober/;s/Nov|Dec/&ember/')
 
 
 override_dh_auto_build:
