=== debian/changelog ===
tzpfms (0.3.1-1~bpo11) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 29 Oct 2022 23:34:51 +0200

tzpfms (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Import upstream changelog
  * Only build documentation and depend on mandoc if !nodoc
  * Only (depend on) shellcheck if !nocheck

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 29 Oct 2022 23:28:58 +0200
