=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 Homepage: https://sr.ht/~nabijaczleweli/tzpfms
 Build-Depends: debhelper,
                debhelper-compat (= 13),
-               shellcheck,
-               mandoc,
+               shellcheck <!nocheck>,
+               mandoc <!nodoc>,
                pkg-config,
                libzfslinux-dev,
                libtss2-dev,
                libtspi-dev,
                libssl-dev,
+               systemd,
 
 Package: tzpfms-tpm2
 Recommends: tzpfms-common
