## tzpfms 0.3.2

=== debian/changelog ===
tzpfms (0.3.2-1~bpo11) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 04 Dec 2022 14:46:22 +0100

tzpfms (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * Update upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 04 Dec 2022 14:30:51 +0100
