=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

CXX := $(CXX) $(subst -O2,,$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get LDFLAGS))

export TZPFMS_VERSION := "$(shell sed 's/^[^(]*(//;s/).*$$//;q' debian/changelog #))"
export TZPFMS_DATE := $(shell awk '/^ -- / {sub(/^ -- .*>/, ""); sub(/^0/, "", $$2); print $$3 " " $$2 ", " $$4; exit}' debian/changelog | sed -E 's/Jan/&uary/;s/Feb/&ruary/;s/Mar/&ch/;s/Apr/&il/;s/Jun/&e/;s/Jul/&y/;s/Aug/&ust/;s/Sep/&tember/;s/Oct/&ober/;s/Nov|Dec/&ember/')

targets := $(shell sed -n '/^all :/s///p' Makefile)
ifneq "$(filter nocheck,$(DEB_BUILD_PROFILES))" ""
targets := $(filter-out shellcheck,$(targets))
endif
ifneq "$(filter nodoc,$(DEB_BUILD_PROFILES))" ""
targets := $(filter-out %pages,$(targets))
endif


override_dh_auto_build:
	$(MAKE) $(targets) CXX="$(CXX)" TZPFMS_PASSPHRASE_HELPER='exec systemd-ask-password --id="tzpfms:$$$$2" "$$$$1:"' TZPFMS_PASSPHRASE_HELPER_MAN='Ic exec Nm systemd-ask-password Fl -id Ns Li = Ns Qo Li tzpfms:\& Ns Ar $$$$2 Qc Qo Ar $$$$1 Ns Li ":\&" Qc'

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
ifeq "$(filter nodoc,$(DEB_BUILD_PROFILES))" ""
	dh_installdocs -A $(wildcard TODO) README.md
endif

%:
	dh $@
