=== debian/changelog ===
tzpfms (0.3.4-1) unstable; urgency=medium

  * Add d/upstream/signing-key.asc and update d/watch to find the signature
  * New upstream version 0.3.4 (+ changelog & NEWS)
    => install locales
  * Add d/upstream/metadata
  * d/copyright: update with new upstream licensing
  * Drop shellcheck

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 06 Dec 2023 02:50:31 +0100
