=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://git.sr.ht/~nabijaczleweli/tzpfms.deb
 Vcs-Browser: https://git.sr.ht/~nabijaczleweli/tzpfms.deb
 Homepage: https://sr.ht/~nabijaczleweli/tzpfms
 Build-Depends: debhelper,
                debhelper-compat (= 13),
-               shellcheck <!nocheck>,
                mandoc <!nodoc>,
                pkg-config,
                libzfslinux-dev,
