## tzpfms 0.4.0

=== debian/changelog ===
tzpfms (0.4.0-1+bpo12~1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 29 Mar 2024 20:48:29 +0100

tzpfms (0.4.0-1) unstable; urgency=medium

  * Pass dpkg-buildpackage's -j to make
  * d/control: Build-Depends: systemd-dev | systemd (we just want pkgconf)
  * d/control: Tag
  * Run on CI
  * New upstream version 0.4.0 (+ changelog & NEWS)
  * Build-Depend on gettext unless pkg.tzpfms.noloc

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 29 Mar 2024 13:38:44 +0100
