=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S+)\.tar\.gz/tzpfms-$1\.tar\.gz/, pgpsigurlmangle=s/$/.asc/" \
  https://git.sr.ht/~nabijaczleweli/tzpfms/refs .*/v?(\d\S+)\.tar\.gz
