## tzpfms 0.4.1

=== Makefile ===
--- 
+++ 
@@ -12,14 +12,14 @@
 AWK ?= awk
 SED ?= sed
 MANDOC ?= mandoc
-PKGCONF ?= pkgconf
+PKG_CONFIG ?= pkgconf
 SHELLCHECK ?= shellcheck
 
 NOLOCREGEN ?=
 OUTDIR := out/
 BLDDIR := out/build/
 
-SYSTEMD_SYSTEM_UNITDIR := $(shell $(PKGCONF) --variable=systemd_system_unit_dir systemd 2>/dev/null || echo /usr/lib/systemd/system)
+SYSTEMD_SYSTEM_UNITDIR := $(shell $(PKG_CONFIG) --variable=systemd_system_unit_dir systemd 2>/dev/null || echo /usr/lib/systemd/system)
 ifneq "$(TZPFMS_DATE)" ""
 MANUAL_DATE := $(TZPFMS_DATE)
 else ifneq "$(SOURCE_DATE_EPOCH)" ""
@@ -30,12 +30,12 @@
 
 
 PKGS := libzfs libzfs_core tss2-esys tss2-rc
-PKGCONF_LIBS   := $(shell pkg-config --libs   $(PKGS))
-PKGCONF_CFLAGS := $(shell pkg-config --cflags $(PKGS))
+PKG_CONFIG_LIBS   := $(shell $(PKG_CONFIG) --libs   $(PKGS))
+PKG_CONFIG_CFLAGS := $(shell $(PKG_CONFIG) --cflags $(PKGS))
 
 LDFLAGS  += -Wl,--as-needed
-LDLIBS   += -lrt -ltspi -lcrypto $(PKGCONF_LIBS)
-CXXFLAGS += -g -O3 -std=c++17 -fno-exceptions -fno-rtti -Wall -Wextra -pipe -fPIC $(PKGCONF_CFLAGS)
+LDLIBS   += -lrt -ltspi -lcrypto $(PKG_CONFIG_LIBS)
+CXXFLAGS += -g -O3 -std=c++17 -fno-exceptions -fno-rtti -Wall -Wextra -pipe -fPIC $(PKG_CONFIG_CFLAGS)
 CPPFLAGS += -MD -DTZPFMS_VERSION='$(TZPFMS_VERSION)'
 BINARY_SOURCES := $(sort $(wildcard src/bin/*.cpp src/bin/**/*.cpp))
 COMMON_SOURCES := $(filter-out $(BINARY_SOURCES),$(sort $(wildcard src/*.cpp src/**/*.cpp src/**/**/*.cpp src/**/**/**/*.cpp)))
@@ -59,7 +59,7 @@
 
 ifneq "$(findstring clang,$(shell $(CXX) --version))" ""
 	# GCC doesn't have this granularity
-	CXXFLAGS += -flto=full -pedantic -Wno-gnu-statement-expression -Wno-gnu-include-next -Wno-gnu-conditional-omitted-operand -Wno-c++20-designator
+	CXXFLAGS += -flto=full -pedantic -Wno-gnu-statement-expression -Wno-gnu-include-next -Wno-gnu-conditional-omitted-operand -Wno-c++20-designator -Wno-variadic-macros -Wno-c99-extensions
 	ifeq "$(AR)" "ar"
 		# Need this because -flto=full produces objects FSF ranlib (ar s) can't index
 		override AR := llvm-ar
@@ -77,7 +77,7 @@
 all : build locales manpages htmlpages shellcheck i-t init.d-systemd dracut
 
 shellcheck : i-t dracut
-	find $(OUTDIR)initramfs-tools/ $(OUTDIR)dracut/ init.d/ -name '*.sh' -exec echo $(SHELLCHECK) --exclude SC1091,SC2093 {} + | sh -x
+	$(SHELLCHECK) --exclude SC1091,SC2093 $(foreach l,$(OUTDIR)initramfs-tools/ $(OUTDIR)dracut/ init.d/,$(wildcard $(l)*.sh $(l)**/*.sh $(l)**/**/*.sh $(l)**/**/**/*.sh $(l)**/**/**/**/*.sh $(l)**/**/**/**/**/*.sh $(l)**/**/**/**/**/**/*.sh $(l)**/**/**/**/**/**/**/*.sh $(l)**/**/**/**/**/**/**/**/*.sh))
 
 clean :
 	rm -rf $(OUTDIR)
@@ -88,7 +88,7 @@
 locales : $(patsubst po/%.po,$(OUTDIR)locale/%/LC_MESSAGES/tzpfms.mo,$(LOCALES))
 i-t : $(OUTDIR)initramfs-tools/usr/share/initramfs-tools/hooks/tzpfms $(OUTDIR)initramfs-tools/usr/share/tzpfms/initramfs-tools-zfs-patch.sh
 dracut : $(patsubst initrd/dracut/%,$(OUTDIR)dracut/usr/lib/dracut/modules.d/91tzpfms/%,$(sort $(wildcard initrd/dracut/*.sh)))
-init.d-systemd : $(OUTDIR)systemd/$(SYSTEMD_SYSTEM_UNITDIR)/zfs-load-key@.service.d/tzpfms.conf $(OUTDIR)systemd/usr/libexec/tzpfms-zfs-load-key@
+init.d-systemd : $(OUTDIR)systemd/$(SYSTEMD_SYSTEM_UNITDIR)/zfs-load-key@.service.d/tzpfms.conf $(OUTDIR)systemd/usr/libexec/tzpfms-zfs-load-key@ $(foreach l,$(subst init.d/systemd/usr-share-tzpfms/,,$(wildcard init.d/systemd/usr-share-tzpfms/*)),$(OUTDIR)systemd/usr/share/tzpfms/$(l))
 
 
 $(BLDDIR)tzpfms.pot: src/*.[ch]pp src/bin/*.[ch]pp
@@ -120,6 +120,10 @@
 	@mkdir -p $(dir $@)
 	ln -f $< $@ || cp $< $@
 
+$(OUTDIR)systemd/usr/share/tzpfms/% : init.d/systemd/usr-share-tzpfms/%
+	@mkdir -p $(dir $@)
+	ln -f $< $@ || cp $< $@
+
 # The d-v-o-s string starts at "BSD" (hence the "BSD General Commands Manual" default); we're not BSD, so hide it
 # Can't put it at the very top, since man(1) only loads mdoc *after* the first mdoc macro (.Dd in our case)
 $(OUTDIR)man/% : man/%.pp $(MANPAGE_HEADERS)
@@ -139,7 +143,7 @@
 	cp $^ $@
 
 $(BLDDIR)libtzpfms.a : $(subst src/,$(BLDDIR)obj/,$(subst .cpp,.o,$(COMMON_SOURCES)))
-	$(AR) crs $@ $^
+	$(AR) --thin crs $@ $^
 
 
 $(OUTDIR)% : $(BLDDIR)obj/bin/%.o $(BLDDIR)libtzpfms.a
