=== debian/changelog ===
tzpfms (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1 (+ changelog & NEWS)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 09 Mar 2025 17:24:20 +0100
