=== debian/control ===
--- 
+++ 
@@ -15,14 +15,15 @@
                libtss2-dev,
                libtspi-dev,
                libssl-dev,
-               systemd,
+               systemd-dev | systemd,
+               gettext <!pkg.tzpfms.noloc>,
 
 Package: tzpfms-tpm2
 Recommends: tzpfms-common
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Tag: implemented-in::c++, interface::commandline, role::program, scope::utility
+#Tag: admin::filesystem, implemented-in::c++, interface::commandline, role::program, scope::utility, use::configuring
 Description: TPM-based encryption keys for ZFS datasets – TPM2 binaries
  tzpfms provides tooling to manage keys for encrypted ZFS datasets,
  with optional PCR binding and additional passwords, similarly to BitLocker.
@@ -35,7 +36,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Tag: implemented-in::c++, interface::commandline, role::program, scope::utility
+#Tag: admin::filesystem, implemented-in::c++, interface::commandline, role::program, scope::utility, use::configuring
 Description: TPM-based encryption keys for ZFS datasets – TPM1.X binaries
  tzpfms provides tooling to manage keys for encrypted ZFS datasets,
  with optional PCR binding and additional passwords, similarly to BitLocker.
@@ -47,7 +48,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Tag: implemented-in::c++, interface::commandline, role::program, scope::utility
+#Tag: admin::filesystem, implemented-in::c++, implemented-in::shell, interface::commandline, role::program, scope::utility, use::configuring
 Description: TPM-based encryption keys for ZFS datasets – common binaries
  tzpfms provides tooling to manage keys for encrypted ZFS datasets,
  with optional PCR binding and additional passwords, similarly to BitLocker.
@@ -62,8 +63,7 @@
          ${shlibs:Depends},
          tzpfms-common,
          zfs-dracut,
-Tag: implemented-in::c++, admin::boot, interface::commandline, role::program,
- scope::utility
+#Tag: admin::filesystem, admin::boot, implemented-in::shell, role::plugin
 Description: TPM-based encryption keys for ZFS datasets – Dracut hooks
  tzpfms provides tooling to manage keys for encrypted ZFS datasets,
  with optional PCR binding and additional passwords, similarly to BitLocker.
@@ -78,8 +78,7 @@
          ${shlibs:Depends},
          tzpfms-common,
          zfs-initramfs,
-Tag: implemented-in::c++, admin::boot, interface::commandline, role::program,
- scope::utility
+#Tag: admin::filesystem, admin::boot, implemented-in::shell, role::plugin
 Description: TPM-based encryption keys for ZFS datasets – initramfs-tools hooks
  tzpfms provides tooling to manage keys for encrypted ZFS datasets,
  with optional PCR binding and additional passwords, similarly to BitLocker.
