=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 
 override_dh_auto_build:
-	$(MAKE) $(targets) TZPFMS_PASSPHRASE_HELPER='exec systemd-ask-password --id="tzpfms:$$$$2" "$$$$1:"' TZPFMS_PASSPHRASE_HELPER_MAN='Ic exec Nm systemd-ask-password Fl -id Ns Li = Ns Qo Li tzpfms:\& Ns Ar $$$$2 Qc Qo Ar $$$$1 Ns Li ":\&" Qc'
+	dh_auto_build -- $(targets) TZPFMS_PASSPHRASE_HELPER='exec systemd-ask-password --id="tzpfms:$$$$2" "$$$$1:"' TZPFMS_PASSPHRASE_HELPER_MAN='Ic exec Nm systemd-ask-password Fl -id Ns Li = Ns Qo Li tzpfms:\& Ns Ar $$$$2 Qc Qo Ar $$$$1 Ns Li ":\&" Qc'
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream
